\begin{figure}[htbp]
	\begin{adjustbox}{minipage=\linewidth,scale=0.95}
	\centering
	\begin{subfigure}[t]{.25\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/original/shapes_bn}
		\caption{Original.}
		\label{fig:shapes-orig-res}
	\end{subfigure}
	\begin{subfigure}[t]{.25\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/gaussian/shapes_bn_crop}
		\caption{Esquina con ruido (22.99~dB).}
		\label{fig:shapes-gaussian}
	\end{subfigure}
	\begin{subfigure}[t]{.25\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/shapes_var_crop}
		\caption{Variacional (23.97~dB).}
		\label{fig:shapes-var}
	\end{subfigure}
	\\
	\begin{subfigure}[t]{.25\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/shapes_iso_crop}
		\caption{Isotrópico (26.00~dB).}
		\label{fig:shapes-iso}
	\end{subfigure}
	\begin{subfigure}[t]{.25\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/shapes_aniso_crop}
		\caption{Anisotrópico (26.63~dB).}
		\label{fig:shapes-aniso}
	\end{subfigure}
	\begin{subfigure}[t]{.25\textwidth}
		\centering
		\includegraphics[width=\linewidth]{figs/results/bn/shapes_median_crop}
		\caption{F. mediana (30.55~dB).}
		\label{fig:shapes-median}
	\end{subfigure}
%	\caption{Tratamiento de la imagen \texttt{shapes} con ruido gaussiano.}
%	\label{fig:denoise-shapes}
	\end{adjustbox}
\end{figure}